#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "QKeyEvent"


QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

    QString PATH = qgetenv("PATH");

public slots:
    void slot_finished(int exitCode);
    void slot_readyRead();

private slots:
    void on_pushButton_clicked();

private:
    Ui::MainWindow *ui;

protected:
   virtual void keyPressEvent(QKeyEvent *event); //Здесь заканчивается конструкция которая позволяет вводить цифры с клавиатуры

};
#endif // MAINWINDOW_H
